| EM datagrams on *.kmall format Reg.no. 410224 rev C

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
EMdgmMRZ_def Struct Reference

#MRZ - Multibeam Raw Range and Depth datagram. The datagram also contains seabed image data. More...

`#include <EMdgmFormat.h>`

Collaboration diagram for EMdgmMRZ_def:
[legend]

## Data Fields
struct EMdgmHeader_def | header
struct EMdgmMpartition_def | partition
struct EMdgmMbody_def | cmnPart
struct EMdgmMRZ_pingInfo_def | pingInfo
struct EMdgmMRZ_txSectorInfo_def | sectorInfo [MAX_NUM_TX_PULSES]
struct EMdgmMRZ_rxInfo_def | rxInfo
struct EMdgmMRZ_extraDetClassInfo_def | extraDetClassInfo [MAX_EXTRA_DET_CLASSES]
struct EMdgmMRZ_sounding_def | sounding [MAX_NUM_BEAMS+MAX_EXTRA_DET]
int16_t | SIsample_desidB [MAX_SIDESCAN_SAMP]

## Detailed Description

#MRZ - Multibeam Raw Range and Depth datagram. The datagram also contains seabed image data.

Datagram consists of several structs. The MRZ datagram replaces several old datagrams: raw range (N 78), depth (XYZ 88), seabed image (Y 89) datagram, quality factor (O 79) and runtime (R 52).

Depths points (x,y,z) are calculated in meters, georeferred to the position of the vessel reference point at the time of the first transmitted pulse of the ping. The depth point coordinates x and y are in the surface coordinate system (SCS), and are also given as delta latitude and delta longitude, referred to origo of the VCS/SCS, at the time of the midpoint of the first transmitted pulse of the ping (equals time used in the datagram header timestamp). See Coordinate systems for introduction to spatial reference points and coordinate systems. Reference points are also described in Reference points and offsets. Explanation of the xyz reference points is also illustrated in the figure below.

Depth point and reference systems

## Field Documentation

int16_t SIsample_desidB[MAX_SIDESCAN_SAMP]

Seabed image sample amplitude, in 0.1 dB. Actual number of seabed image samples (SIsample_desidB) to be found by summing parameter SInumSamples in struct EMdgmMRZ_sounding_def for all beams. Seabed image data are raw beam sample data taken from the RX beams. The data samples are selected based on the bottom detection ranges. First sample for each beam is the one with the lowest range. The centre sample from each beam is geo referenced (x, y, z data from the detections). The BS corrections applied at the centre sample are the same as used for reflectivity2_dB (struct EMdgmMRZ_sounding_def).

The documentation for this struct was generated from the following file:

- EMdgmFormat.h